## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name httpx

Name:           python-%{pypi_name}
Version:        0.25.1
Release:        %autorelease
Summary:        Python HTTP client

License:        BSD
URL:            https://github.com/encode/httpx
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
HTTPX is a fully featured HTTP client for Python, which provides sync and
async APIs, and support for both HTTP/1.1 and HTTP/2.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description -n python3-%{pypi_name}
HTTPX is a fully featured HTTP client for Python, which provides sync and
async APIs, and support for both HTTP/1.1 and HTTP/2.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.md
%doc README.md
%attr(755, root, root) %{_bindir}/httpx

%changelog
* Sun Nov 05 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 0.25.1-1
- feat: update to 0.25.1 (fixes rh#2247996)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.24.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 17 2023 František Zatloukal <fzatlouk@redhat.com> - 0.24.1-1
- Update to 0.24.1 (Fixes RHBZ#2223286)

* Mon Jul 03 2023 Python Maint <python-maint@redhat.com> - 0.24.0-2
- Rebuilt for Python 3.12

* Mon May 15 2023 František Zatloukal <fzatlouk@redhat.com> - 0.24.0-1
- Update to 0.24 (Fixes RHBZ#2143942 )

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.23.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Sep 18 2022 Fabian Affolter <mail@fabian-affolter.ch> - 0.23.0-1
- Update to latest upstream release 0.23.0 (closes rhbz#2127178)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.22.0-2
- Rebuilt for Python 3.11

* Sun Mar 06 2022 Fabian Affolter <mail@fabian-affolter.ch> - 0.22.0-1
- Update to latest upstream release 0.22.0 (closes rhbz#2053821)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Dec 12 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.21.1-1
- Update to latest upstream release 0.21.1

* Sun Dec 12 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.21.0-1
- Update to latest upstream release 0.21.0

* Tue Oct 26 2021 Joel Capitao <jcapitao@redhat.com> - 0.20.0-1
- Update to latest upstream release 0.20.0

* Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.19.0-1
- * Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.19.0-1 -
  Update to latest upstream release 0.19.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.17.1-2
- Rebuilt for Python 3.10

* Tue Mar 16 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.17.1-1
- * Tue Mar 16 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.17.1 -
  Update to new upstream release 0.17.1 (#1933492)

* Mon Mar 01 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.17.0-1
- * Mon Mar 01 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.17.0-1 -
  Update to new upstream release 0.17.0 (#1933492)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Oct 09 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.16.1-1
- * Fri Oct 09 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.16.1-1 -
  Update to new upstream release 0.16.1 (#1884265)

* Wed Oct 07 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.16.0-1
- * Wed Oct 07 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.16.0-1 -
  Update to new upstream release 0.16.0 (#1884265)

* Sun Oct 04 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.15.5-1
- * Sun Oct 04 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.15.5-1 -
  Update to new upstream release 0.15.5 (#1884265)

* Fri Sep 25 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.15.4-1
- * Fri Sep 25 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.15.4-1 -
  Update to latest upstream release 0.15.4 (#1881434)

* Fri Sep 25 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.15.3-1
- * Fri Sep 25 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.15.3-1 -
  Update to latest upstream release 0.15.3 (#1881434)

* Wed Sep 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.15.0-1
- * Wed Sep 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.15.0-1 -
  Update to latest upstream release 0.15.0 (#1881434)

* Thu Sep 03 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.14.3-2
- * Thu Sep 03 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.14.3-2 -
  Run dependency genenerator

* Thu Sep 03 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.14.3-1
- * Thu Sep 03 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.14.3-1 -
  Update to latest upstream release 0.14.3 (rhbz#1875281)

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 03 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.13.3-1
- * Fri Jun 05 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.13.3-1 -
  Initial package for Fedora
